import axios from "axios"
import config from "process"
// import { dotnetPath } from "../path/axiosPath";
// import { getToken } from "@baloise/vue-keycloak";
import keycloak from "../plugins/keycloak"

const axiosInstance = axios.create({
    withCredentials: false,
})

// axiosInstance.defaults.baseURL = dotnetPath;
axiosInstance.interceptors.request.use(
    async (config) => {
        const token = await keycloak.token
        config.headers = {
            Authorization: `Bearer ${token}`,
        }
        return config
    },
    (error) => {
        Promise.reject(error)
    }
)

export default axiosInstance
